version: '3'
services:
  web:
    build:
      context: ./docker/ngnix
    ports:
      - 8081:80
    volumes:
      - .:/opt/app
      - ./docker/ngnix:/etc/nginx/conf.d
    links:
      - php
    depends_on:
      - php
      - database

  php:
    build:
      context: ./docker/php
    volumes:
      - .:/opt/app
    depends_on:
      - database

  database:
    image: mysql:latest
    restart: always
    environment:
      MYSQL_DATABASE: db
      MYSQL_USER: root
      MYSQL_PASS: password
      MYSQL_ROOT_PASSWORD: password
    ports:
      - 3306:3306
    volumes:
      - db:/var/lib/mysql

  phpmyadmin:
    depends_on:
      - database
    image: phpmyadmin/phpmyadmin:latest
    ports:
      - 8082:80
    environment:
      PMA_HOST: database
      PMA_USER: root
      PMA_PASSWORD: password
volumes:
  db: